
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
 
   
u1 :-
    new([chemical,[
	slot(slot_tuple(name,          global, single, total, string)),
	slot(slot_tuple(ph,            global, single, total, string)),
	slot(slot_tuple(solubility,    global, single, total, string)),
	slot(slot_tuple(spectrometry,  global, single, total, string)),
	slot(slot_tuple(colour,        global, single, total, string)),
	slot(slot_tuple(smell,         global, single, total, string)),
	slot(slot_tuple(gravity,       global, single, total, string)),
	slot(slot_tuple(radioactivity, global, single, total, string)),
	slot(slot_tuple(status,        global, single, total, string))
    ]]) => mm_entity_class.

u2 :-
    new([measurement,[
	slot(slot_tuple(mname,global,single,total,string)),
	slot(slot_tuple(value,global,single,optional,float)),
	slot(slot_tuple(descr,global,single,optional,string))
    ]]) => mm_entity_class.


u3:-
   new([location,[
   	slot(slot_tuple(locName,global,single,total,string)),
   	slot(slot_tuple(status,global,single,optional,string)),
   	slot(slot_tuple(downStream,global,single,optional,location)),
   	slot(slot_tuple(focused,global,single,optional,string)),
   	slot(slot_tuple(answer,global,single,optional,string))
   ]]) => mm_entity_class.	
	
	
u4:-
   new([store,[
   	is_a([location]),
   	slot(slot_tuple(chemicals,global,set,optional,chemical))
   ]]) => mm_entity_class.	

	
u5:-
   new([manhole,[
   	is_a([location])
   ]]) => mm_entity_class.	

	
u6:-
   new([station,[
   	is_a([location])
   ]]) => mm_entity_class.	


/*

u7:-
   new([focus,[
   	slot(slot_tuple(loc,global,single,total,location))
   ]]) => mm_entity_class.	




u8:-
   new([handle,[
   	slot(slot_tuple(loc,global,single,optional,location)),
   	slot(slot_tuple(answer,global,single,optional,string))
   ]]) => mm_entity_class.	

*/

:- u1, u2, u3, u4, u5, u6.





