/* device.pl */
/* Nick Bassiliades, 15 November 1995 */

/* This file loads all the necessary files for DEVICE */

/* It must be compiled from EXACT top-level */




% extra libs

:- use_module(library(charsio)).
:- use_module(library(terms)).

/* This line loads the compile-time files */

:- consult([parser,
    	    auxiliary,
    	    precompiler,
    	    optimizer,
	    compiler,
	    loader]).

/* This line loads the run-time files needed to create the
   object classes and meta-classes that are specific to DEVICE. 
   Furthermore, certain alterations to the default methods and structure
   of EXACT objects are performed.
*/

:- consult([device_event_manager, 
    	    device_rule_manager, 
    	    exact2device]).

